Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453886 - preinstall scriptlet fails if not already using i810 in xorg.conf
Summary: preinstall scriptlet fails if not already using i810 in xorg.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 01:20 UTC by Jason Farrell
Modified: 2008-07-03 19:04 UTC (History)
3 users (show)

Fixed In Version: xorg-x11-drv-i810-2.3.2-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-03 19:04:49 UTC


Attachments (Terms of Use)

Description Jason Farrell 2008-07-03 01:20:13 UTC
Description of problem:
Updating to xorg-x11-drv-i810-2.3.2-1.fc9.x86_64 in updates-testing fails to
install because the %pre script continually fails. It tries to replace 'i810'
with 'intel' in /etc/xorg.conf, but fails completely if it doesn't match.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.3.2-1.fc9.x86_64
from
xorg-x11-drv-i810-2.2.1-24.fc9.x86_64

Additional info:
Transaction Test Succeeded
Running Transaction
sed: -e expression #1, char 41: invalid reference \1 on `s' command's RHS
error: %pre(xorg-x11-drv-i810-2.3.2-1.fc9.x86_64) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping xorg-x11-drv-i810-2.3.2-1.fc9

Comment 1 Michal Nowak 2008-07-03 09:23:53 UTC
I am hit by this one too.

I guess it's caused by this change

* Tue May 27 2008 Adam Jackson <ajax@redhat.com> 2.2.1-25
- s/i810/intel/ in xorg.conf in %%pre so we can eventuall stop installing
  the BC symlink.

which was useful for version prio 2.2.1-24 but it might cause the fail.

Comment 2 Michal Nowak 2008-07-03 13:58:00 UTC
Release -2 fixes this issue. New version was successfully installed.


Note You need to log in before you can comment on or make changes to this bug.